Bug 89630 - measure from bottom to top
Summary: measure from bottom to top
Status: RESOLVED FIXED
Alias: None
Product: kruler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: RedHat RPMs Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Mathias Soeken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-16 15:52 UTC by info
Modified: 2009-01-08 18:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description info 2004-09-16 15:52:47 UTC
Version:            (using KDE KDE 3.3.0)
Installed from:    RedHat RPMs

Hi,

it should be possible to change the scale on kruler so that it starts at the bottom (or at the right for horizontal).

This would be useful e.g. when measuring points on a mathematical graph, because mathematical coordinates are typically upwards. 

Actually the four orientations (W,E,N,S) could be replaced by "starting left, right, bottom, top". There is no need for separate North and South (and W/E) if the ruler had scales on both sides.

Thanks
Stephan
Comment 1 Fred Albrecht 2007-01-27 14:20:40 UTC
Seconded, a simple key switch to toggle a "measure from opposite end" mode (bound to "o" or space or whatever) would be very useful. Whenever measuring a bit of a large image that's at the wrong end of the ruler it would save a lot of window shuffling.
Comment 2 Mathias Soeken 2009-01-08 18:13:01 UTC
SVN commit 907732 by msoeken:

kruler can now measure from right to left or from bottom to top, when orientation is north/south or west/east, respectively.

CCBUG: 89630
BUGS: 89630


 M  +57 -22    klineal.cpp  
 M  +6 -1      klineal.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=907732